﻿// Author: INRP/Creator: MappetizerCore 10.3.3 by uismedia (http://www.uismedia.de); 15/06/2013 08:01:09
// Load the widget parser
dojo.require("dojox.mobile.deviceTheme");
dojo.require("dojox.mobile.parser");
dojo.require("dojox.mobile");
dojo.requireIf(!dojo.isWebKit, "dojox.mobile.compat");
//dojo.require("dojo.on"); //touch, gestures
dojo.require("dojox.mobile.common");

dojo.require("dojox.charting.Chart2D");
dojo.require("dojox.charting.action2d.Tooltip");
dojo.require("dojox.charting.action2d.Highlight");
dojo.require("dojox.charting.action2d.MoveSlice");

dojo.addOnLoad(function() {
  //Do not delete or change this function
  var leg = mv_embedSVGNode(dojo.doc,"MVlegendDoc","440px","731px","embfiles/legend.svg");
  dojo.byId("MVlegend0").appendChild(leg);
  if (dojo.byId("MVoverview") != null) {
    var over = mv_embedSVGNode(dojo.doc,"MVoverviewDoc","300px","300px","embfiles/overview_mob.svg");
    dojo.byId("MVoverview").appendChild(over);
  }
  var map = mv_embedSVGNode(dojo.doc,"MVmapDoc","500px","500px","embfiles/map.svg");
  dojo.byId("MVmap").appendChild(map);
  //dojo.connect(map,dojox.gesture.swipe, mv_mobileTouch);
  // Add functions to toolbar
  dojo.connect(dojo.byId("MVtoolbar.home"),"onclick",mv_mobileChangeView);
  dojo.connect(dojo.byId("MVtoolbar.zoomin"),"onclick",mv_zoomInButton);
  dojo.connect(dojo.byId("MVtoolbar.zoomout"),"onclick",mv_zoomOutButton);
  dojo.connect(dojo.byId("MVtoolbar.fullextent"),"onclick",mv_fullExtent);
  dojo.connect(dojo.byId("MVtoolbar.overview"),"onclick",mv_mobileChangeView);

  if (dojo.isAndroid < 4) {
    checkSvgCompatibility();
  }
  mv_checkLoaded();
});

function mv_DocSettings() {
  //Do not delete or change this function;
  mv_Doc.userSettings("white","silver","red","yellow","#ECE9D8",true,true);
  mv_Doc.IsMobile = true;
  mv_Doc.CheckStatus = "w35uMD8";
  new MV.ZoomObject("MVlistZoomObject0",0);
}

function mv_MapSettings() {
  //Do not delete or change this function;
  new MV.Layer("th0",true,true,true,true,"FeatureLayer","","");
  new MV.Layer("th1",true,true,true,true,"FeatureLayer","","");
  new MV.Layer("th2",true,true,true,true,"GroupLayer","","");
  new MV.Layer("th2-0",false,true,true,true,"FeatureLayer","","");
  new MV.Layer("th2-1",false,true,true,true,"FeatureLayer","","");

  new MV.Layer("th3",true,true,true,true,"FeatureLayer","","");
  new MV.Layer("th4",true,false,false,true,"TileLayer","","");
  new MV.SVGTileRules({X:1250.004,Y:31247.642,Width:99999.076,Height:35845.114,XTilesNum:3,YTilesNum:2,Ext:"svg"},"th4",33333.025,2);

  new MV.Layer("th5",true,false,false,true,"TileLayer","","");
  new MV.SVGTileRules({X:1250.004,Y:28021.438,Width:99999.076,Height:48228.331,XTilesNum:2,YTilesNum:1,Ext:"svg"},"th5",49999.538,1);

  new MV.Layer("th6",true,false,false,true,"TileLayer","","");
  new MV.SVGTileRules({X:1250.004,Y:28021.438,Width:99999.076,Height:48228.331,XTilesNum:2,YTilesNum:1,Ext:"svg"},"th6",49999.538,1);

  new MV.Layer("th7",true,false,false,true,"TileLayer","","");
  new MV.SVGTileRules({X:1250.004,Y:28021.438,Width:99999.076,Height:38761.675,XTilesNum:2,YTilesNum:1,Ext:"svg"},"th7",49999.538,1);

  new MV.Layer("th8",true,true,true,true,"FeatureLayer","","");
  mv_Map.userSettings(-51249.542,51250,172.320819112628,277.775209792998,3,false,1,"");
  mv_Map.Scalebar = false;
}

function mv_initializeLegend() {
  //Do not delete or change this function;
}

function mv_initializeShareGeomLegend() {
  //Do not delete or change this function;
}

function mv_ScalebarSettings() {
  //Do not delete or change this function;
}

function mv_initializeSettings() {
  //Do not delete or change this function;
  mv_declareClassChart();

  mv_declareClassIdentifyObject();
  mv_declareClassIdentifyMobile();

}

function mv_initializeSettings2() {
 //Do not delete or change this function;
}

function checkSvgCompatibility() {
if (dojo.isOpera) return;
if (dojo.isFF) return;
  var message = "You are currently using Android browser on Android older then 4.0. Your browser does not support SVG. Please use Opera Mobile or Firefox Mobile instead";
  try {
    var svgDoc = dojo.byId("MVmapDoc").getSVGDocument();
    if (!svgDoc) {
      mv_alert(message);
    }
  } catch(e) { 
    mv_alert(message);
  }
}


function mv_userInit() {
//This function is for your own scripts, it will be called on loading, do not delete it
//  mv_alert("function mv_userInit()");
}

function mv_userMVDocToolbar(objButton) {
//This function is for your own toolbar buttons, do not delete it
//  switch(objButton.id) {
//      case "MVtoolbar.mybutton":
//          objButton.Function = "testFunc('hier',2)";
//          objButton.State = 1;  //this button is a radio button
//          break;
//  }
}

